DBMAIL-EXPORT(8)

NAME
dbmail-export - export a mailbox from the DBMail mailsystem to mbox format.

SYNOPSIS

dbmail-export [-dr] [-u user] [-m mailbox] [-s imap search] [-o outfile|-b basedir] [-f configFile]

DESCRIPTION

The dbmail-export program allows you to export a DBMail mailbox to an mbox formatted mailbox.

OPTIONS

-u user
    specify the owner of the mailbox you want to export, using wildcards ? and * to match one or none, or one or more characters in the username, respectively.

-m mailbox
    specify the mailbox you want to export.

-o outfile
    specify the file into which the exported mail will be saved.

-b basedir
    specify the base directory into which the exported mailboxes will be saved.

-s search
    use an IMAP SEARCH string to select messages (default: 1:*) for example, to export all messages received in May, use: "1:* SINCE 1-May-2007 BEFORE 1-Jun-2007"

-d
    flag exported messages as \\Deleted (use dbmail-util to expunge).

-r
    export mailboxes recursively (default: true unless -m option also specified).

COMMON OPTIONS

-f configfile
    Specify an alternate config file. The utilities are currently hardcoded to use /etc/dbmail.conf for their configs, and will halt if the config file cannot be found. Use the -f configfile option to specify your system’s preferred config file location. Debian is patched to have /etc/dbmail/dbmail.conf as the default.

-q
    Quietly skip interactive prompts and helpful status messages which would otherwise be printed to stdout. Use two -q’s to silence errors which would otherwise be printed to stderr.

-v
    Operate verbosely. Some of the utilities in the DBMail suite can take two -v’s for extra verbosity. Those which don’t understand this convention won’t complain about having the extra -v and will simply operate at their normal verbosity.

-V
    Show the version and copyright, then exit.

-h
    Show a brief summary of options, then exit.

EXAMPLES

To export and delete all messages belonging to user Joe in mailbox Inbox more than 30 days old, try this command:

    dbmail-export -u joe -m inbox -o joesinbox.mbox -d -s "1:* BEFORE `date '+%e-%b-%Y' -d '30 days ago'`"

Note the careful bash quoting and backticks calling the GNU date(1) command. GNU date(1) has excellent features for retrieving relative dates. If you are using a different shell, you may need different quotes. Descriptions of relative dates are not supported by BSD date(1).

To export all mailboxes named Spam for all users into individual directories following the pattern SpamDump/<username>/Spam, try this command:

    dbmail-export -u \* -m Spam -b SpamDump

Note the backslash to prevent the shell from expanding the *, as we want that * to be passed into DBMail for expansion based on the internal user list.

BUGS

If you experience inexplicable problems with DBMail, please report the issue to the DBMail Bug Tracker[1].

LICENSE

DBMail and its components are distributed under the terms of the GNU General Public License. Copyrights are held variously by the authors listed below.

AUTHOR(S)

DBMail is a collaborative effort among the core developers listed below and the tremendous help of the testers, patchers and bug hunters listed in the AUTHORS and THANKS files found in the DBMail source distribution.

    Eelco van Beek      Aaron Stone            Paul J Stevens
    Roel Rozendaal      Open Source Engineer   NFG Net Facilities Group BV
    Ilja Booij          Palo Alto, CA USA      http://www.nfg.nl
    IC&S                http://hydricacid.com
    http://www.ic-s.nl

NOTES

1.  DBMail Bug Tracker
    http://dbmail.org/mantis/